# Uses of Class
org.apache.qpid.proton.amqp.messaging.DeleteOnClose

Packages that use DeleteOnClose
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging

## Uses of DeleteOnClose in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return DeleteOnClose
Modifier and Type
Method
Description
`static DeleteOnClose`
DeleteOnClose.`getInstance()`

## Uses of DeleteOnClose in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return DeleteOnClose
Modifier and Type
Method
Description
`DeleteOnClose`
DeleteOnCloseType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type DeleteOnClose
Modifier and Type
Method
Description
`Class<DeleteOnClose>`
DeleteOnCloseType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type DeleteOnClose
Modifier and Type
Method
Description
`protected List`
DeleteOnCloseType.`wrap(DeleteOnClose val)`